Loading...
Searching...
No Matches
XrdSsiRRAgent Class Reference

`#include <XrdSsiRRAgent.hh>`

Collaboration diagram for XrdSsiRRAgent:

## Static Public Member Functions

static void | Alert (XrdSsiRequest &reqR, XrdSsiRespInfoMsg &aMsg)
static void | CleanUp (XrdSsiRequest &reqR)
static void | Dispose (XrdSsiRequest &reqR)
static XrdSsiErrInfo & | ErrInfoRef (XrdSsiRequest *rP)
static bool | isaRetry (XrdSsiRequest *rP, bool reset=false)
static void | onServer (XrdSsiRequest *rP)
static XrdSsiRequest * | Request (XrdSsiResponder *rP)
static void | ResetResponder (XrdSsiResponder *rP)
static XrdSsiRespInfo * | RespP (XrdSsiRequest *rP)
static void | SetMutex (XrdSsiRequest *rP, XrdSsiMutex *mP)
static void | SetNode (XrdSsiRequest *rP, const char *name)

## Detailed Description

Definition at line 37 of file XrdSsiRRAgent.hh.

## Member Function Documentation

## Alert()

void XrdSsiRRAgent::Alert | ( | XrdSsiRequest & | reqR,
|  | XrdSsiRespInfoMsg & | aMsg )

inline static

Definition at line 41 of file XrdSsiRRAgent.hh.

{reqR.Alert(aMsg);}
XrdSsiRequest::Alert
virtual void Alert(XrdSsiRespInfoMsg &aMsg)
Send or receive a server generated alert.
Definition XrdSsiRequest.hh:238

References XrdSsiRequest::Alert().

Referenced by XrdSsiTaskReal::XeqEvent().

Here is the call graph for this function:
Here is the caller graph for this function:

## CleanUp()

void XrdSsiRRAgent::CleanUp | ( | XrdSsiRequest & | reqR | ) |

inline static

Definition at line 44 of file XrdSsiRRAgent.hh.

{reqR.CleanUp();}

## Dispose()

void XrdSsiRRAgent::Dispose | ( | XrdSsiRequest & | reqR | ) |

inline static

Definition at line 46 of file XrdSsiRRAgent.hh.

{reqR.Dispose();}

## ErrInfoRef()

XrdSsiErrInfo & XrdSsiRRAgent::ErrInfoRef | ( | XrdSsiRequest * | rP | ) |

inline static

Definition at line 48 of file XrdSsiRRAgent.hh.

{return rP->errInfo;}

Referenced by XrdSsiTaskReal::XeqEvent().

Here is the caller graph for this function:

## isaRetry()

bool XrdSsiRRAgent::isaRetry | ( | XrdSsiRequest * | rP,
|  | bool | reset = false )

inline static

Definition at line 50 of file XrdSsiRRAgent.hh.

{if (rP->flags & XrdSsiRequest::isaRetry)
{if (reset)
rP->flags &= ~XrdSsiRequest::isaRetry;
return true;
}
return false;
}
XrdSsiRRAgent::isaRetry
static bool isaRetry(XrdSsiRequest *rP, bool reset=false)
Definition XrdSsiRRAgent.hh:50

References isaRetry().

Referenced by isaRetry(), and XrdSsiSessReal::Provision().

Here is the call graph for this function:
Here is the caller graph for this function:

## onServer()

void XrdSsiRRAgent::onServer | ( | XrdSsiRequest * | rP | ) |

inline static

Definition at line 59 of file XrdSsiRRAgent.hh.

{rP->onClient = false;}

## Request()

XrdSsiRequest * XrdSsiRRAgent::Request | ( | XrdSsiResponder * | rP | ) |

inline static

Definition at line 61 of file XrdSsiRRAgent.hh.

{return rP->reqP;}

Referenced by XrdSsiTaskReal::SendRequest().

Here is the caller graph for this function:

## ResetResponder()

void XrdSsiRRAgent::ResetResponder | ( | XrdSsiResponder * | rP | ) |

inline static

Definition at line 68 of file XrdSsiRRAgent.hh.

{rP->spMutex.Lock();
rP->reqP = 0;
rP->spMutex.UnLock();
}
XrdSsiMutex::UnLock
void UnLock()
Definition XrdSsiAtomics.hh:117
XrdSsiMutex::Lock
void Lock()
Definition XrdSsiAtomics.hh:115

References XrdSsiMutex::Lock(), and XrdSsiMutex::UnLock().

Referenced by XrdSsiTaskReal::Finished().

Here is the call graph for this function:
Here is the caller graph for this function:

## RespP()

XrdSsiRespInfo * XrdSsiRRAgent::RespP | ( | XrdSsiRequest * | rP | ) |

inline static

Definition at line 63 of file XrdSsiRRAgent.hh.

{return &(rP->Resp);}

Referenced by XrdSsiFileReq::Read(), XrdSsiFileReq::Send(), and XrdSsiFileReq::WantResponse().

Here is the caller graph for this function:

## SetMutex()

void XrdSsiRRAgent::SetMutex | ( | XrdSsiRequest * | rP,
|  | XrdSsiMutex * | mP )

inline static

Definition at line 74 of file XrdSsiRRAgent.hh.

{rP->rrMutex = mP;}

Referenced by PostError::PostError().

Here is the caller graph for this function:

## SetNode()

void XrdSsiRRAgent::SetNode | ( | XrdSsiRequest * | rP,
|  | const char * | name )

inline static

Definition at line 65 of file XrdSsiRRAgent.hh.

{rP->epNode = name;}

Referenced by XrdSsiTaskReal::SendRequest().

Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- XrdSsiRRAgent.hh